:root {
  --clr-main: darkgrey;
  --clr-key: #b93c18;
  --clr-dark: #2a2a2a;
  --clr-shadow: rgba(0, 0, 0, 0.5);
  --size-maxwidh: 960px;
}

*,*::before,*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
img,svg,video,canvas {
  display:block;
  max-width:100%;
  height:auto
}

html {
  font-family: "open sans", sans-serif;
  background-color: var(--clr-main);
  color: var(--clr-dark);
}

a,
a:visited,
p,
cite {
  text-decoration: none;
  color: var(--clr-dark);
}

main a,
main a:visited,
footer a,
footer a:visited {
  color: var(--clr-key);
}

ul {
  list-style: none;
}

.wrapper {
  max-width: var(--size-maxwidh);
  margin-left: auto;
  margin-right: auto;
  padding: 1rem;
}

a.download-btn  {
  border: 1px solid var(--clr-key);
    width: 50%;
  max-width: 50%;
  padding-block: 3rem;
  object-fit: contain;
  display: inline-block;
  text-align: center;
}

/********************
Navigation
********************/
nav {
  position: fixed;
  top: 0;
  z-index: 100;
  width: 100%;
  background-color: var(--clr-main);
  box-shadow: 0 2px 7px 0 var(--clr-shadow);
}
nav .wrapper {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  padding: 1rem;
}

nav .logolink {
  padding: 0.7rem;
  width: 100px;
  height: 100px;
  background-color: var(--clr-main);
  border-radius: 100vw;
  position: fixed;
  top: 0;
  left: 1rem;
  box-shadow: 0px 8px 7px 0px var(--clr-shadow);
}

nav .logolink .logo {
  height: 100%;
  width: 100%;
  background-image: url(./img/logo.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

nav #nav-toggler {
  height: 0;
  width: 0;
}

nav .linklist {
  display: flex;
  flex-direction: row;
  gap: 2rem;
}

nav .linklist li a {
  display: block;
  padding-block: 0.5rem;
}

nav .linklist li.active,
nav .linklist li:hover {
  border-bottom: 3px solid var(--clr-key);
}

/********************
Hero-Banner
********************/
.herobanner {
  margin-top: 72px;
  padding: 3rem;
  background-position: center;
  background-size: cover;
  height: 45vh;
  position: relative;
}
.herobanner #logo-big {
  display: block;
  position: absolute;
  height: 70%;
  max-width: 90%;
  left: 0;
  right: 0;
  margin: auto;
}
#hero-index {
  background-image: url(./bilder/medium_resolution/01_hufschmiede/06_egg_hufschmiede.jpg);
}
#hero-bilder {
  background-image: url(./bilder/medium_resolution/06_hufe_schmieden/12_egg_huf_schmieden.jpg);
}
#hero-team {
  background-image: url(./bilder/medium_resolution/05_portraits/06_egg_portrait.jpg);
  background-position: 50% 25%;
}
#hero-kontakt {
  background-image: url(./bilder/medium_resolution/05_portraits/12_egg_portrait.jpg);
}
#hero-impressum {
  background-image: url(./bilder/medium_resolution/03_arbeit_mit_pferd/23_egg_arbeiten_mit_pferd.jpg);
}

/*************
Other MAIN
**************/

h1,
cite {
  max-width: var(--size-maxwidh);
  margin: auto;
  text-align: center;
}
h1 {
  margin-block: 2rem;
}
p {
  margin-bottom: 1rem;
}
cite {
  display: block;
  margin-block: 1rem;
}
h2 {
  font-size: 3rem;
  margin: 1rem 0 0.5rem;
}

section {
  position: relative;
}

/**************
Bilder (IMPRESSIONEN)
**************/
section .impressionsbilder {
  margin-top: 1rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: 1;
  gap: 0.5rem;
}

.impressionsbilder img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.teamfoto {
  width: 100%;
}

/**************
Bilder (Slideshow)
**************/
.slideshow-container,
.slideshow-container2 {
  position: relative;
  max-width: 100%;
  max-height: 500px;
  overflow: hidden;
}

.slideshow-container img {
  object-fit: contain;
  max-width: 100%;
  max-height: 100%;
}

.slideshow-container .dots {
  position: absolute;
  bottom: 0;
  height: 2rem;
  width: 100%;
  text-align: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-evenly;
}

.slideshow-container .dots div[class*="dot"] {
  height: 1rem;
  width: 1rem;
  border-radius: 100vw;
  border: 2px solid var(--clr-key);
  background-color: var(--clr-main);
  cursor: pointer;
}

.slideshow-container .dots div[class*="dot"].active,
.slideshow-container .dots .div[class*="dot"]:hover {
  background-color: var(--clr-key);
}

.slideshow-container .prev,
.slideshow-container .next,
.slideshow-container2 .prev,
.slideshow-container2 .next {
  position: absolute;
  top: 50%;
  background-color: var(--clr-main);
  line-height: 3rem;
  width: 2rem;
  text-align: center;
  transform: translateY(-50%);
  cursor: pointer;
  font-weight: 900;
}

.slideshow-container .next,
.slideshow-container2 .next {
  right: 0;
}

.slideshow-container .prev:hover,
.slideshow-container .next:hover,
.slideshow-container2 .prev:hover,
.slideshow-container2 .next:hover {
  background-color: var(--clr-key);
  color: var(--clr-main);
  transition: 0.3s ease-in-out;
}

/**************
Portrait
**************/
.portrait {
  margin-block: 1rem;
  display: flex;
  justify-content: center;
  flex-direction: row;
  gap: 1rem;
}

.portrait img {
  width: 50%;
  max-width: 50%;
  max-height: 500px;
  object-fit: contain;
  display: inline-block;
}
.portrait .explainer {
  width: 50%;
}

.map {
  width: 100%;
  height: 30vh;
  border: none;
}

/**************
Footer
**************/
footer {
  margin-top: 4rem;
  box-shadow: 0px -2px 7px 0px var(--clr-dark);
  padding: 2rem 0 3rem;
  text-align: right;
}
footer address {
  margin-block: 1rem;
}

footer a[href*="tel"] {
  display: inline-block;
  margin: 0 0 2rem;
  padding: 1rem;
  border: 1px solid var(--clr-key);
}
/**************
MEDIA-QUERIES
**************/
@media only screen and (max-width: 800px) {
  /* Navigation-Toggler */
  nav #nav-toggler,
  nav #nav-toggler::before,
  nav #nav-toggler::after {
    height: 2rem;
    width: 2rem;
  }
  nav #nav-toggler span,
  nav #nav-toggler span::before,
  nav #nav-toggler span::after {
    display: block;
    height: 3px;
    width: 100%;
    background-color: var(--clr-dark);
    position: relative;
    transition: 0.3s ease-in-out;
  }
  nav #nav-toggler span:before {
    content: "";
    top: calc(2rem / 2 - 3px);
  }
  nav #nav-toggler span::after {
    content: "";
    top: calc(2rem - 9px);
  }
  nav #nav-toggler.visible span {
    background: transparent;
  }
  nav #nav-toggler.visible span::before {
    transform-origin: 50%;
    transform: rotate(45deg);
    top: 1rem;
  }
  nav #nav-toggler.visible span::after {
    transform-origin: 50%;
    transform: rotate(-45deg);
    top: 0.8rem;
  }
  nav .linklist {
    flex-direction: column;
    gap: 0;
    overflow: hidden;
    height: 0;
  }
  nav .linklist.visible {
    height: initial;
  }
  nav .linklist li a {
    text-align: right;
  }
  nav .linklist li.active,
  nav .linklist li:hover {
    border-bottom: 0;
  }
  nav .linklist li.active a,
  nav .linklist li:hover a {
    color: var(--clr-key);
  }
  /* Hero-Banner */
  .herobanner {
    margin-top: 64px;
  }
  /* Grid für Bilder (Impressionen) */
  section .impressionsbilder {
    grid-template-rows: repeat(3, 1fr);
  }
  .impressionsbilder img {
    grid-column: span 3;
  }
  /* Portraits */
  .portrait {
    flex-direction: column;
    justify-content: center;
  }
  .portrait .explainer {
    max-width: 100%;
    width: 100%;
  }
  .portrait img {
    max-width: 100%;
    width: 100%;
    max-height: 500px;
    object-fit: contain;
    display: inline-block;
  }
  a.download-btn {
    width: 100%;
    max-width: 100%;
  }
}

.slideshow-container2 {
  height: 500px;
}

.imagewrapper {
  background-color: hotpink;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  width: 100%;
}
.imagewrapper > img {
  max-width: 100%;
  max-height: 100%;
}
